#2816 closed defect (fixed)

Many ARM BSPs have Static Assert

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: highest Milestone: 5.1
Component: arch/arm Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

Hi

With the recent commits, many BSPs on the master do not build.
They error out with this static assert:

In file included from ../../../../cpukit/../../../gumstix/lib/include/rtems/score/types.h:23:0,

from ../../../../cpukit/../../../gumstix/lib/include/rtems/score/cpu.h:32,
from ../../../../cpukit/../../../gumstix/lib/include/rtems/system.h:23,
from ../../../../../../../../rtems/c/src/../../cpukit/score/cpu/arm/cpu.c:29:

../../../../cpukit/../../../gumstix/lib/include/rtems/score/basedefs.h:241:5: error: static assertion failed: "ARM_CONTEXT_CONTROL_ISR_DISPATCH_DISABLE"

_Static_assert(cond, # msg)

../../../../../../../../rtems/c/src/../../cpukit/score/cpu/arm/cpu.c:54:3: note: in expansion of macro 'RTEMS_STATIC_ASSERT'

RTEMS_STATIC_ASSERT(

The list of BSPs is:

arm1136jfs arm1136js arm7tdmi arm920 csb336 csb337 csb637 edb7312
gumstix kit637_v6 lpc2362 lpc23xx_tli800 lpc24xx_ea
lpc24xx_ncs_ram lpc24xx_ncs_rom_ext lpc24xx_ncs_rom_int
lpc24xx_plx800_ram lpc24xx_plx800_rom_int lpc32xx_mzx
lpc32xx_mzx_stage_1 lpc32xx_mzx_stage_2 lpc32xx_phycore
raspberrypi rtl22xx rtl22xx_t smdk2410

Change History (4)

comment:1 Changed on Nov 21, 2016 at 9:15:09 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 9f225dea192e7b17ba465a6b78029532cdf97933/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:24:30 AM by Sebastian Huber

Component: unspecifiedarch/arm

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.